> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Connection

> Get the details of the current active connection. The current connection is derived from the provided connection token.



## OpenAPI

````yaml GET /connections/current
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /connections/current:
    parameters: []
    get:
      tags:
        - Connections
      summary: Get Current Connection
      description: >-
        Get the details of the current active connection. The current connection
        is derived from the provided connection token.
      operationId: getCurrentConnection
      parameters:
        - name: X-Application-Id
          in: header
          required: false
          description: >-
            Scopes the request to a Terminal application in the caller's
            organization. Required for multi-application organizations when
            using a user session or OAuth access token. API keys are already
            bound to a single application.
          schema:
            type: string
        - name: Connection-Token
          in: header
          required: true
          schema:
            type: string
            example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
            pattern: ^con_tkn_\S+$
          description: >-
            The token returned when a user authenticated their account. This
            authorizes access to a specific account.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - allOf:
                      - title: Full Connection
                        description: >-
                          The connection your application has with your
                          customer's TSP.
                        allOf:
                          - title: Connection Base
                            type: object
                            description: Fields shared by all connection records.
                            properties:
                              id:
                                title: ConnectionId
                                type: string
                                format: ulid
                                example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                              company:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Frank's Trucking
                                    description: Optional name of the connection.
                                  dotNumbers:
                                    type: array
                                    description: >-
                                      Optional DOT numbers associated with this
                                      connection.
                                    items:
                                      type: string
                                      example: '1234567'
                              account:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Frank's Trucking
                                    description: >-
                                      The name of the account according to the
                                      provider.
                                  dotNumbers:
                                    type: array
                                    description: >-
                                      DOT numbers associated with the account
                                      according to the provider.
                                    items:
                                      type: string
                                      example: '1234567'
                                  user:
                                    type: object
                                    description: >-
                                      The user of the provider account that
                                      created the connection.
                                    properties:
                                      sourceId:
                                        description: >-
                                          The ID of the user in the provider's
                                          system.
                                        example: '1234567'
                                        type: string
                                      firstName:
                                        example: John
                                        type: string
                                      lastName:
                                        example: Doe
                                        type: string
                                      email:
                                        example: john.doe@example.com
                                        type: string
                              provider:
                                type: object
                                required:
                                  - code
                                  - name
                                properties:
                                  code:
                                    title: Provider Code
                                    type: string
                                    example: geotab
                                    description: >-
                                      Every provider has a unique code to
                                      identify it across Terminal's system. You
                                      can find each provider's code under
                                      [provider details](/providers).
                                  name:
                                    type: string
                                    example: Geotab
                                    description: >-
                                      The name of the Telematics Service
                                      Provider.
                              externalId:
                                type: string
                                example: '1234'
                                description: >-
                                  An optional ID from your system that can be
                                  used to reference connections.
                              sourceId:
                                description: >-
                                  The ID used in the source system to represent
                                  the account this connection has or had access
                                  to.


                                  This may be an `organizationId` or
                                  `accountId`.


                                  Note: not all systems expose this information,
                                  in which case it may be undefined.
                                title: SourceId
                                type: string
                                example: '123456789'
                              syncMode:
                                title: SyncMode
                                type: string
                                enum:
                                  - automatic
                                  - manual
                                description: >-
                                  Enum values:

                                  - `automatic`: Terminal will keep this
                                  connections data up to date

                                  - `manual`: Terminal will only sync data upon
                                  request
                                default: automatic
                              token:
                                type: string
                                example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
                                pattern: ^con_tkn_\S+$
                                description: >-
                                  This token is used when interacting with a
                                  connections' data.
                              tags:
                                type: array
                                description: >-
                                  An optional list of tags from your system that
                                  can be used to reference connections.
                                items:
                                  type: string
                                  example: Tag Name
                              createdAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              updatedAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                            required:
                              - id
                              - company
                              - account
                              - provider
                              - syncMode
                              - token
                              - createdAt
                              - updatedAt
                          - type: object
                            properties:
                              status:
                                type: string
                                enum:
                                  - connected
                                  - disconnected
                                  - archived
                                  - pending_deletion
                                description: The current status of the connection.
                              options:
                                type: object
                                additionalProperties: true
                              filters:
                                type: object
                                properties:
                                  vehicles:
                                    type: object
                                    properties:
                                      status:
                                        type: string
                                        enum:
                                          - active
                                          - inactive
                                        description: >-
                                          Filter connection to only include data
                                          related to vehicles with a specified
                                          status
                                      excludeIds:
                                        type: array
                                        items:
                                          title: VehicleId
                                          description: >-
                                            Unique identifier for the vehicle in
                                            Terminal.
                                          type: string
                                          format: ulid
                                          pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                                          example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                        description: >-
                                          IDs of vehicles to exclude from data
                                          ingestion
                                      includeIds:
                                        type: array
                                        items:
                                          title: VehicleId
                                          description: >-
                                            Unique identifier for the vehicle in
                                            Terminal.
                                          type: string
                                          format: ulid
                                          pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                                          example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                        description: >-
                                          IDs of vehicles to include in data
                                          ingestion (takes priority over other
                                          filters)
                                  drivers:
                                    type: object
                                    properties:
                                      status:
                                        type: string
                                        enum:
                                          - active
                                          - inactive
                                        description: >-
                                          Filter connection to only include data
                                          related to drivers with a specified
                                          status
                                      excludeIds:
                                        type: array
                                        items:
                                          title: DriverId
                                          description: >-
                                            Unique identifier for the driver in
                                            Terminal.
                                          type: string
                                          format: ulid
                                          pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                                          example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                        description: >-
                                          IDs of drivers to exclude from data
                                          ingestion
                                      includeIds:
                                        type: array
                                        items:
                                          title: DriverId
                                          description: >-
                                            Unique identifier for the driver in
                                            Terminal.
                                          type: string
                                          format: ulid
                                          pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                                          example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                        description: >-
                                          IDs of drivers to include in data
                                          ingestion (takes priority over other
                                          filters)
                                description: Filters applied to connection data
                              linkUrl:
                                type: string
                                format: uri
                                example: >-
                                  https://link.withterminal.com/connection/{CONNECTION_ID}?key={PUBLISHABLE_KEY}
                                description: >-
                                  The URL to send your user to in order to have
                                  them re-authenticate the connection.
                            required:
                              - status
                              - options
                              - linkUrl
                      - type: object
                        properties:
                          lastSync:
                            title: Sync
                            type: object
                            x-model-category: platform
                            properties:
                              id:
                                title: SyncId
                                type: string
                                format: ulid
                                pattern: ^sync_[0-9A-HJKMNP-TV-Z]{26}$
                                example: sync_01GV12VR4DJP70GD1ZBK0SDWFH
                              status:
                                title: SyncStatus
                                type: string
                                description: The status of the sync
                                example: completed
                                enum:
                                  - requested
                                  - in_progress
                                  - completed
                                  - failed
                              failureReason:
                                type: string
                                description: >-
                                  If the sync failed, this will contain the
                                  reason
                                example: Reason for failure if sync status is 'failed'
                              progress:
                                title: Percentage
                                type: number
                                description: >-
                                  Percentage value between 0 and 100, rounded to
                                  2 decimal places.
                                example: 85
                                minimum: 0
                                maximum: 100
                              issues:
                                type: array
                                description: >-
                                  Issues are problems encountered with a
                                  connection that did not result in a failed
                                  sync but may require manual intervention. You
                                  can see the issues for a given sync by
                                  providing `issues` to the `expand` parameter.
                                items:
                                  title: ExpandableIssue
                                  example: isu_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                  oneOf:
                                    - title: IssueId
                                      type: string
                                      format: ulid
                                      pattern: ^isu_[0-9A-HJKMNP-TV-Z]{26}$
                                      example: isu_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                    - type: object
                                      properties:
                                        id:
                                          title: IssueId
                                          type: string
                                          format: ulid
                                          pattern: ^isu_[0-9A-HJKMNP-TV-Z]{26}$
                                          example: isu_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                      required:
                                        - id
                                  description: >-
                                    Entities in Terminal are expandable. Using
                                    the `expand` query parameter you can choose
                                    to ingest just an ID or the full entity
                                    details.
                              startFrom:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              requestedAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              completedAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              attempts:
                                type: number
                                example: 1
                              providerRequests:
                                type: array
                                description: >-
                                  Provider requests attached to this sync. When
                                  non-empty, the sync is waiting on an
                                  out-of-band step on the provider's side (e.g.
                                  the provider manually delivering historical
                                  files, or credentials being provisioned) and
                                  may legitimately stay in progress for an
                                  extended period.
                                example:
                                  - historical_files
                                items:
                                  title: Sync Provider Request Type
                                  type: string
                                  enum:
                                    - historical_files
                                    - provision_credentials
                            required:
                              - id
                              - status
                              - requestedAt
                            x-description: >-
                              An object containing the state of a sync job. This
                              can be polled after connection linking to know
                              when data is available for ingestion.
                          agreements:
                            type: array
                            items:
                              title: Agreement
                              type: object
                              properties:
                                id:
                                  title: AgreementId
                                  type: string
                                  format: ulid
                                  example: agr_01D9ZQFGHVJ858NBF2Q7DV9MNH
                                connectionId:
                                  title: ConnectionId
                                  type: string
                                  format: ulid
                                  example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                                agreementUrl:
                                  type: string
                                  format: uri
                                acceptedBy:
                                  type: object
                                  properties:
                                    sourceId:
                                      type: string
                                    firstName:
                                      type: string
                                    lastName:
                                      type: string
                                    email:
                                      type: string
                                acceptedAt:
                                  title: ISODateTime
                                  type: string
                                  format: date-time
                                  example: '2021-01-06T03:24:53.000Z'
                                  description: >-
                                    [ISO
                                    8601](https://www.w3.org/TR/NOTE-datetime)
                                    date
                                location:
                                  type: string
                                  example: New York, NY
                                ipAddress:
                                  type: string
                                  format: ipv4
                                userAgent:
                                  type: string
                                  format: user-agent
                              required:
                                - id
                                - applicationId
                                - agreementUrl
                                - acceptedAt
                        required:
                          - agreements
                  - allOf:
                      - title: Deleted Connection
                        description: >-
                          A retained connection record after connection-scoped
                          data has been deleted.
                        allOf:
                          - title: Connection Base
                            type: object
                            description: Fields shared by all connection records.
                            properties:
                              id:
                                title: ConnectionId
                                type: string
                                format: ulid
                                example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                              company:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Frank's Trucking
                                    description: Optional name of the connection.
                                  dotNumbers:
                                    type: array
                                    description: >-
                                      Optional DOT numbers associated with this
                                      connection.
                                    items:
                                      type: string
                                      example: '1234567'
                              account:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Frank's Trucking
                                    description: >-
                                      The name of the account according to the
                                      provider.
                                  dotNumbers:
                                    type: array
                                    description: >-
                                      DOT numbers associated with the account
                                      according to the provider.
                                    items:
                                      type: string
                                      example: '1234567'
                                  user:
                                    type: object
                                    description: >-
                                      The user of the provider account that
                                      created the connection.
                                    properties:
                                      sourceId:
                                        description: >-
                                          The ID of the user in the provider's
                                          system.
                                        example: '1234567'
                                        type: string
                                      firstName:
                                        example: John
                                        type: string
                                      lastName:
                                        example: Doe
                                        type: string
                                      email:
                                        example: john.doe@example.com
                                        type: string
                              provider:
                                type: object
                                required:
                                  - code
                                  - name
                                properties:
                                  code:
                                    title: Provider Code
                                    type: string
                                    example: geotab
                                    description: >-
                                      Every provider has a unique code to
                                      identify it across Terminal's system. You
                                      can find each provider's code under
                                      [provider details](/providers).
                                  name:
                                    type: string
                                    example: Geotab
                                    description: >-
                                      The name of the Telematics Service
                                      Provider.
                              externalId:
                                type: string
                                example: '1234'
                                description: >-
                                  An optional ID from your system that can be
                                  used to reference connections.
                              sourceId:
                                description: >-
                                  The ID used in the source system to represent
                                  the account this connection has or had access
                                  to.


                                  This may be an `organizationId` or
                                  `accountId`.


                                  Note: not all systems expose this information,
                                  in which case it may be undefined.
                                title: SourceId
                                type: string
                                example: '123456789'
                              syncMode:
                                title: SyncMode
                                type: string
                                enum:
                                  - automatic
                                  - manual
                                description: >-
                                  Enum values:

                                  - `automatic`: Terminal will keep this
                                  connections data up to date

                                  - `manual`: Terminal will only sync data upon
                                  request
                                default: automatic
                              token:
                                type: string
                                example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
                                pattern: ^con_tkn_\S+$
                                description: >-
                                  This token is used when interacting with a
                                  connections' data.
                              tags:
                                type: array
                                description: >-
                                  An optional list of tags from your system that
                                  can be used to reference connections.
                                items:
                                  type: string
                                  example: Tag Name
                              createdAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              updatedAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                            required:
                              - id
                              - company
                              - account
                              - provider
                              - syncMode
                              - token
                              - createdAt
                              - updatedAt
                          - type: object
                            properties:
                              status:
                                type: string
                                enum:
                                  - deleting
                                  - deleted
                            required:
                              - status
                      - type: object
                        properties:
                          agreements:
                            type: array
                            items:
                              title: Agreement
                              type: object
                              properties:
                                id:
                                  title: AgreementId
                                  type: string
                                  format: ulid
                                  example: agr_01D9ZQFGHVJ858NBF2Q7DV9MNH
                                connectionId:
                                  title: ConnectionId
                                  type: string
                                  format: ulid
                                  example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                                agreementUrl:
                                  type: string
                                  format: uri
                                acceptedBy:
                                  type: object
                                  properties:
                                    sourceId:
                                      type: string
                                    firstName:
                                      type: string
                                    lastName:
                                      type: string
                                    email:
                                      type: string
                                acceptedAt:
                                  title: ISODateTime
                                  type: string
                                  format: date-time
                                  example: '2021-01-06T03:24:53.000Z'
                                  description: >-
                                    [ISO
                                    8601](https://www.w3.org/TR/NOTE-datetime)
                                    date
                                location:
                                  type: string
                                  example: New York, NY
                                ipAddress:
                                  type: string
                                  format: ipv4
                                userAgent:
                                  type: string
                                  format: user-agent
                              required:
                                - id
                                - applicationId
                                - agreementUrl
                                - acceptedAt
                        required:
                          - agreements
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
        '504':
          description: Gateway Timeout Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - gateway_timeout
                  message:
                    type: string
                    example: Gateway Timeout
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````